# Copyright © 2020-2021 Nick Bowler
#
# License GPLv3+: GNU General Public License version 3 or any later version.
# This is free software: you are free to change and redistribute it.
# There is NO WARRANTY, to the extent permitted by law.

EAPI=7

_PYTHON_ALLOW_PY27=1
PYTHON_COMPAT=( python2_7 )

inherit python-single-r1 multilib

DESCRIPTION="GIMP plug-in that exports layers as separate images"
HOMEPAGE="https://khalim19.github.io/gimp-plugin-export-layers/"
SRC_URI="https://github.com/khalim19/$PN/archive/$PV.tar.gz -> $P.tar.gz"

LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
REQUIRED_USE=$PYTHON_REQUIRED_USE

DEPEND=$PYTHON_DEPS
RDEPEND="$DEPEND
	|| (
		media-plugins/gimp-python[$PYTHON_SINGLE_USEDEP]
		media-gfx/gimp[python(-),$PYTHON_SINGLE_USEDEP] )"

src_install () {
	local plugindir=/usr/$(get_libdir)/gimp/2.0/plug-ins
	default

	python_moduleinto "$plugindir"
	python_domodule export_layers

	exeinto "$plugindir"
	doexe export_layers.py
}
